LIBTRACEEVENT(3)

NAME
tep_read_number_field - Reads a number from raw data.

SYNOPSIS

#include <event-parse.h>

int tep_read_number_field(struct tep_format_field *field, const void *data, unsigned long long *value);

DESCRIPTION

The tep_read_number_field() function reads the value of the field from the raw data and stores it in the value. The function sets the value according to the endianness of the raw data and the current machine and stores it in value.

RETURN VALUE

The tep_read_number_field() function retunrs 0 in case of success, or -1 in case of an error.

EXAMPLE

    #include <event-parse.h>
    ...
    struct tep_handle *tep = tep_alloc();
    ...
    struct tep_event *event = tep_find_event_by_name(tep, "timer", "hrtimer_start");
    ...
    void process_record(struct tep_record *record)
    {
            unsigned long long pid;
            struct tep_format_field *field_pid = tep_find_common_field(event, "common_pid");

            if (tep_read_number_field(field_pid, record->data, &pid) != 0) {
                    /* Failed to get "common_pid" value */
            }
    }
    ...

FILES

    event-parse.h
            Header file to include in order to have access to the library APIs.
    -ltraceevent
            Linker switch to add when building a program that uses the library.

SEE ALSO

libtraceevent(3), trace-cmd(1)

AUTHOR

    Steven Rostedt <rostedt@goodmis.org[1]>, author of libtraceevent.
    Tzvetomir Stoyanov <tz.stoyanov@gmail.com[2]>, author of this man page.

REPORTING BUGS

Report bugs to <linux-trace-devel@vger.kernel.org[3]>

LICENSE

libtraceevent is Free Software licensed under the GNU LGPL 2.1

RESOURCES

https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/

NOTES

1.  rostedt@goodmis.org
    mailto:rostedt@goodmis.org

2.  tz.stoyanov@gmail.com
    mailto:tz.stoyanov@gmail.com

3.  linux-trace-devel@vger.kernel.org
    mailto:linux-trace-devel@vger.kernel.org